cascading.flow.hadoop.planner.rule.expression

## Class BalanceSameSourceStreamedAccumulatedExpression

- java.lang.Object
- - cascading.flow.planner.rule.RuleExpression
  - - cascading.flow.hadoop.planner.rule.expression.BalanceSameSourceStreamedAccumulatedExpression

    public class BalanceSameSourceStreamedAccumulatedExpression
    extends RuleExpression

### Field Summary

Fields
`static FlowElementExpression` `SHARED_HASHJOIN_ACCUMULATED`
`static FlowElementExpression` `SHARED_HASHJOIN_STREAMED`

### Fields inherited from class cascading.flow.planner.rule.RuleExpression

`contractedMatchExpression, contractionExpression, matchExpression`

### Constructor Summary

Constructors
Constructor and Description
`BalanceSameSourceStreamedAccumulatedExpression()`

### Method Summary

### Methods inherited from class cascading.flow.planner.rule.RuleExpression

`getContractedMatchExpression, getContractionExpression, getExpressionName, getMatchExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SHARED_HASHJOIN_STREAMED

    public static final FlowElementExpression SHARED_HASHJOIN_STREAMED

#### SHARED_HASHJOIN_ACCUMULATED

    public static final FlowElementExpression SHARED_HASHJOIN_ACCUMULATED

### Constructor Detail

#### BalanceSameSourceStreamedAccumulatedExpression

    public BalanceSameSourceStreamedAccumulatedExpression()